<?php

namespace Bydedi\Catalog\Entity;

use Doctrine\ORM\Mapping as ORM;
use Knp\DoctrineBehaviors\Model as ORMBehaviors;

/**
 * Class AdsTranslation
 * @package Bydedi\Catalog\Entity
 *
 * @ORM\MappedSuperclass
 */
abstract class AdsTranslation
{
    use ORMBehaviors\Translatable\Translation;

    /**
     * @var string
     *
     * @ORM\Column(type="string", length=255)
     */
    protected $name;

    /**
     * @var string
     *
     * @ORM\Column(type="text", length=65535, nullable=true)
     */
    protected $texte;

    /**
     * @var string
     *
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    protected $image;

    /**
     * Set adsNomNom
     *
     * @param string $name
     *
     * @return AdsTranslation
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get adsNomNom
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set adsNomTexte
     *
     * @param string $texte
     *
     * @return AdsTranslation
     */
    public function setTexte($texte)
    {
        $this->texte = $texte;

        return $this;
    }

    /**
     * Get adsNomTexte
     *
     * @return string
     */
    public function getTexte()
    {
        return $this->texte;
    }

    /**
     * Set adsNomImage
     *
     * @param string $image
     *
     * @return AdsTranslation
     */
    public function setImage($image)
    {
        $this->image = $image;

        return $this;
    }

    /**
     * Get adsNomImage
     *
     * @return string
     */
    public function getImage()
    {
        return $this->image;
    }
}
